Package org.apache.any23.vocab

## Class LKIFCoreTime

- java.lang.Object
- - org.apache.any23.vocab.Vocabulary
  - - org.apache.any23.vocab.LKIFCoreTime

-     public class LKIFCoreTime
      extends Vocabulary

  An implementation of the lkif-core vocabulary which is a library of ontologies relevant for the legal domain. The library consists of 15 modules, each of which describes a set of closely related concepts from both legal and commonsense domains.

  The time module provides an OWL DL implementation of the theory of time by Allen (1984).

  Author:
    lewismc

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `org.eclipse.rdf4j.model.IRI` | `after` |
    `org.eclipse.rdf4j.model.IRI` | `before` |
    `org.eclipse.rdf4j.model.IRI` | `between` |
    `org.eclipse.rdf4j.model.IRI` | `during` |
    `org.eclipse.rdf4j.model.IRI` | `finishes` |
    `org.eclipse.rdf4j.model.IRI` | `immediately_after` |
    `org.eclipse.rdf4j.model.IRI` | `immediately_before` |
    `org.eclipse.rdf4j.model.IRI` | `Interval` |
    `org.eclipse.rdf4j.model.IRI` | `Moment` |
    `static String` | `NS` | The namespace of the vocabulary as a string.
    `org.eclipse.rdf4j.model.IRI` | `overlap` |
    `org.eclipse.rdf4j.model.IRI` | `Pair_Of_Periods` |
    `org.eclipse.rdf4j.model.IRI` | `preceeds` |
    `org.eclipse.rdf4j.model.IRI` | `starts` |
    `org.eclipse.rdf4j.model.IRI` | `Temporal_Occurrence` |
    `org.eclipse.rdf4j.model.IRI` | `temporal_relation` |

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static LKIFCoreTime` | `getInstance()` |

    - ### Methods inherited from class org.apache.any23.vocab.Vocabulary

      `createClass, createIRI, createProperty, getClass, getClasses, getCommentFor, getComments, getNamespace, getProperties, getProperty, getProperty, getPropertyCamelCase`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### NS

          public static final String NS

      The namespace of the vocabulary as a string.
      See Also:
        Constant Field Values

    - #### Interval

          public final org.eclipse.rdf4j.model.IRI Interval

    - #### Moment

          public final org.eclipse.rdf4j.model.IRI Moment

    - #### Pair_Of_Periods

          public final org.eclipse.rdf4j.model.IRI Pair_Of_Periods

    - #### Temporal_Occurrence

          public final org.eclipse.rdf4j.model.IRI Temporal_Occurrence

    - #### after

          public final org.eclipse.rdf4j.model.IRI after

    - #### before

          public final org.eclipse.rdf4j.model.IRI before

    - #### between

          public final org.eclipse.rdf4j.model.IRI between

    - #### during

          public final org.eclipse.rdf4j.model.IRI during

    - #### finishes

          public final org.eclipse.rdf4j.model.IRI finishes

    - #### immediately_after

          public final org.eclipse.rdf4j.model.IRI immediately_after

    - #### immediately_before

          public final org.eclipse.rdf4j.model.IRI immediately_before

    - #### overlap

          public final org.eclipse.rdf4j.model.IRI overlap

    - #### preceeds

          public final org.eclipse.rdf4j.model.IRI preceeds

    - #### starts

          public final org.eclipse.rdf4j.model.IRI starts

    - #### temporal_relation

          public final org.eclipse.rdf4j.model.IRI temporal_relation

  - ### Method Detail

    - #### getInstance

          public static LKIFCoreTime getInstance()